<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Event Attendance
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: event_attendance 346 2007-12-24 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan $
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/

if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

global $roster, $addon;

require_once ($addon['dir'].'inc/functions.php');

$roster->output['title'] = $roster->locale->act['EventCalendar_title'];

$eventid = $_REQUEST['event'];

// Get all eventinfo
$query_eventinfo = 'SELECT * FROM `'.$roster->db->table('events',$addon['basename']).'` WHERE eventid = '.$eventid;
$result_eventinfo = $roster->db->query($query_eventinfo);
$row_eventinfo = $roster->db->fetch($result_eventinfo);

echo '<table border="0"><tr><td valign="top">';
// Display the Top / left side of the Stylish Border
echo border('syellow', 'start', $roster->locale->act['Titulars']);

// Make a table to hold the content
echo '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
echo '<tr>';
echo '<th class="membersHeader">'.$roster->locale->act['Status'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Position'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
echo '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
echo '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
echo '</tr>';

// Get all raiders
$query = 'SELECT s.place, s.queue, s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers',$addon['basename']).'` AS s LEFT JOIN `'.$roster->db->table('event_members',$addon['basename']).'` AS m ON s.name = m.name WHERE s.eventid="'.$eventid.'" ORDER BY s.queue DESC, s.place ASC';
$result = $roster->db->query($query);

$total=0;
$rownum=1;
while ($row = $roster->db->fetch($result))
{
	$total+=1;

	echo '<td class="membersRow'.$rownum.'">';
	echo $row['queue'].'</td>';

	echo '<td class="membersRow'.$rownum.'">';
	echo $row['place'].'</td>';

	echo '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
	echo checkMember($row['name']).'</td>';

	echo '<td class="membersRow'.$rownum.'">';
	echo $row['guild'].'</td>';

	echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
	echo $row['level'].'</td>';

	echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	echo getNoteIcon($row['note']).'</td>';

	// Close the Row
	echo '</tr>';
	switch ($rownum)
	{
		case 1:
			$rownum=2;
			break;
		default:
			$rownum=1;
	}
}

if($roster->db->num_rows($result) == 0)
{
	echo '<tr><td colspan="4" style="text-align:center" class="membersRowRight1">'.$roster->locale->act['NoTitulars'].'</td></tr>';
}

// add count
$maxcount = $row_eventinfo['maxCount'];
echo '<tr><th colspan="6" class="membersHeaderRight">';
echo 'Total: '.$total.' ('.$maxcount.')';
echo '</th></tr>';

// Close table
echo '</table>';

// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');

echo '<br/>';

// Get all substitutes
$query = 'SELECT s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers',$addon['basename']).'` AS s LEFT JOIN `'.$roster->db->table('event_members',$addon['basename']).'` AS m ON s.name = m.name WHERE s.status = "S" AND s.eventid="'.$eventid.'" ORDER BY s.place ASC';
$result = $roster->db->query($query);

if($roster->db->num_rows($result) == 0)
{	}
else
{
	// Display the Top / left side of the Stylish Border
	echo border('syellow', 'start',$roster->locale->act['Substitutes']);
	
	// Make a table to hold the content
	echo '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	echo '<tr>';
	echo '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	echo '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	echo '</tr>';
	
	$total=0;
	$rownum=1;
	while ($row = $roster->db->fetch($result))
	{
		$total+=1;
	
		echo '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
		echo checkMember($row['name']).'</td>';
	
		echo '<td class="membersRow'.$rownum.'">';
		echo $row['guild'].'</td>';
	
		echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
		echo $row['level'].'</td>';
	
		echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
		echo getNoteIcon($row['note']).'</td>';
	
		// Close the Row
		echo '</tr>';
		switch ($rownum)
		{
			case 1:
				$rownum=2;
				break;
			default:
				$rownum=1;
		}
	}
	
	if($roster->db->num_rows($result) == 0)
	{
		echo '<tr><td colspan="4" style="text-align:center" class="membersRowRight1"> No Substitutes </td></tr>';
	}
	
	// add count
	echo '<tr><th colspan="4" class="membersHeaderRight">';
	echo 'Total: '.$total;
	echo '</th></tr>';
	
	// Close table
	echo '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	echo border('syellow','end');
}

echo '<br/>';

// Get all replacements
$query = 'SELECT s.name, s.note, m.class, m.guild, m.level FROM `'.$roster->db->table('event_subscribers', $addon['basename']).'` AS s LEFT JOIN `'.$roster->db->table('event_members', $addon['basename']).'` AS m ON s.name = m.name WHERE s.status = "R" AND s.eventid="'.$eventid.'" ORDER BY s.place ASC';
$result = $roster->db->query($query);

if($roster->db->num_rows($result) == 0)
{ }
else
{
	// Display the Top / left side of the Stylish Border
	echo border('syellow', 'start', $roster->locale->act['Replacements']);
	
	// Make a table to hold the content
	echo '<table cellpadding="0" cellspacing="0" class="membersList">';
	
	// Display the header of the table
	echo '<tr>';
	echo '<th class="membersHeader">'.$roster->locale->act['Name'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Guild'].'</th>';
	echo '<th class="membersHeader">'.$roster->locale->act['Level'].'</th>';
	echo '<th class="membersHeaderRight">'.$roster->locale->act['Note'].'</th>';
	echo '</tr>';
	
	$total=0;
	$rownum=1;
	while ($row = $roster->db->fetch($result))
	{
		$total+=1;
	
		echo '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
		echo checkMember($row['name']).'</td>';
	
		echo '<td class="membersRow'.$rownum.'">';
		echo $row['guild'].'</td>';
	
		echo '<td style="text-align:center;" class="membersRow'.$rownum.'">';
		echo $row['level'].'</td>';
	
		echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
		echo getNoteIcon($row['note']).'</td>';
	
		// Close the Row
		echo '</tr>';
		switch ($rownum)
		{
			case 1:
				$rownum=2;
				break;
			default:
				$rownum=1;
		}
	}
	
	// add count
	echo '<tr><th colspan="4" class="membersHeaderRight">';
	echo 'Total: '.$total;
	echo '</th></tr>';
	
	// Close table
	echo '</table>';
	
	// Display the Right side / Bottom of the Stylish Border
	echo border('syellow','end');
}

echo '</td><td width="10px"></td><td valign="top">';

// Display the Top / left side of the Stylish Border
echo border('syellow', 'start', $roster->locale->act['Limits']);

// Make a table to hold the content
echo '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
echo '<tr>';
echo '<th class="membersHeader">'.$roster->locale->act['Class'].'</th>';
echo '<th class="membersHeaderRight">'.$roster->locale->act['LimitStatus'].'</th>';
echo '</tr>';

echo '<tr>';

// Get all limits
$query_limits = 'SELECT * FROM `'.$roster->db->table('event_limits', $addon['basename']).'` WHERE eventid = '.$eventid.' ORDER BY class ASC';
$result_limits = $roster->db->query($query_limits);

$rownum=1;
while ($row = $roster->db->fetch($result_limits))
{

	echo '<td class="membersRow'.$rownum.'">'.getClassIcon($row['class']);
	if ($row['class'] == "Deathknight")
		$alt = array_keys($roster->locale->act['class_to_en'],"Death Knight");
	else
		$alt = array_keys($roster->locale->act['class_to_en'],$row['class']);
	echo $alt[0].'</td>';

	// Get all classcount
	$query_classcount = 'SELECT s.name FROM `'.$roster->db->table('event_subscribers', $addon['basename']).'` AS s LEFT JOIN `'.$roster->db->table('event_members', $addon['basename']).'` AS m ON m.name = s.name WHERE m.class = "'.$row['class'].'"  AND eventid = '.$eventid;

	$result_classcount = $roster->db->query($query_classcount);
	$row_classcount = $roster->db->num_rows($result_classcount);
	

	echo '<td style="text-align:center;" class="membersRowRight'.$rownum.'">';
	echo $row['min'].' / '.$row_classcount.' / '.$row['max'].'</td>';

	// Close the Row
	echo '</tr>';
	switch ($rownum)
	{
		case 1:
			$rownum=2;
			break;
		default:
			$rownum=1;
	}
}

if($roster->db->num_rows($result_limits) == 0)
{
	echo '<tr><td colspan="2" style="text-align:center" class="membersRowRight1">'.$roster->locale->act['NoLimits'].'</td></tr>';
}

// Close table
echo '</table>';

// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');

echo '</td></tr></table>';

?>