<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Event Info
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: event_info.php 346 2008-01-13 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan$ 
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/

if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

global $roster, $addon;

$roster->output['title'] = $roster->locale->act['WoWGem_title'];

$eventid = $_REQUEST['event'];

// Get all eventinfo
$query = "SELECT * FROM `" . $roster->db->table('events', $addon['basename']) . "` WHERE eventid = ".$eventid;
$result = $roster->db->query($query);
$row = $roster->db->fetch($result);

$title_col   = '<div style="cursor:pointer;width:240px;" onclick="swapShow(\'info_col\',\'info_full\')"><img src="'.$roster->config['img_url'].'plus.gif" style="float:right;" />';
$title_col  .= strftime($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date']));
$title_col  .= '</div>';

$title_full  = '<div style="cursor:pointer;width:240px;" onclick="swapShow(\'info_col\',\'info_full\')"><img src="'.$roster->config['img_url'].'minus.gif" style="float:right;" />';
$title_full .= strftime($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date']));
$title_full .= '</div>';

// Show collapsed infobox
echo '<div id="info_col">';
// Display the Top / left side of the Stylish Border
echo border('syellow', 'start', $title_col);
// Make a table with back link
echo '<table width="250px" cellpadding="0" cellspacing="0">';
echo '<th><td style="text-align:center" class="membersHeader">';
echo '<a href="' . makelink('guild-'.$addon['basename'],true).'">'.$roster->locale->act['Back'].'</a>';
echo '</td></th>';
// Close table
echo '</table>';
// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');
echo '</div>';

// Show full infobox
echo '<div id="info_full" style="display:none;">';
// Display the Top / left side of the Stylish Border
echo border('syellow', 'start', $title_full);
// Make a table to hold the eventinfo
echo '<table width="250px"  style="color:#260A17;font-weight:bold;background-image:url('.$addon['image_path']."paperback.jpg".');background-repeat:no-repeat;padding:20px 20px 20px 20px;margin:0;" cellpadding="0" cellspacing="0">';

echo '<tr><td valign="top">';

$zoneicon = $addon['image_path'].'/icons/';
// $zoneicon .= ($roster->locale->act['Zones'][$row['type']] !=''?'Icon-'.$row['type'].'.jpg':'Icon-Unknown.jpg');
// $zone = ($roster->locale->act['Zones'][$row['type']] != ''?$roster->locale->act['Zones'][$row['type']]:$row['type']);
if (array_key_exists($row['type'], $roster->locale->act['Zones']))
{
	$zoneicon .= 'Icon-'.$row['type'].'.jpg';
}
else
{
	$zoneicon .= 'Icon-Unknown.jpg';
}
$zone = "----";

if($addon['config']['WoWGem_ShowIcon'])
{
	echo '<img class="membersRowimg" src="'.$zoneicon.'" alt="'.$zone.'"  width="'.($addon['config']['WoWGem_Icon_size']*2).'" height="'.($addon['config']['WoWGem_Icon_size']*2).'" style="float:right;"/> ';
}

echo 'Date: '.strftime ($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date'])).'<br/>';
echo 'Type: <br/>'.$row['type'].'<br/><br/>';
if($row['title'] != '')
{
	echo '<br/>Title: '.$row['title'].'<br/><br/>';
}

if($row['note'] != '')
{
	echo 'Note:<br/>'.$row['note'];
}
echo '</td></tr>';

// Close table
echo '</table>';

// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');
echo '</div>';

?>