<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Event Log
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: event_log.php 346 2008-01-18 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan$ 
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/
if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

global $roster;

require_once ($addon['dir'].'inc/functions.php');

// Display the Top / left side of the Stylish Border
echo border('syellow', 'start',"Logs"); // $roster->locale->act['UpcomingRaids']);

// Make a table to hold the content
echo '<table cellpadding="0" cellspacing="0" class="membersList">';

// Display the header of the table
echo '<tr>';
echo '<th class="membersHeader">'.'Date'.'</th>'; // $roster->locale->act['Date']
echo '<th class="membersHeader">'.'Nom'.'</th>';
echo '<th class="membersHeaderRight">'.'Nombre d\'evenements'.'</th>';
echo '</tr>';

$query = "SELECT * FROM ".$roster->db->table('event_log', $addon['basename'])." ORDER BY date DESC LIMIT 0,20;";
$result = $roster->db->query($query);

$rownum=1;
while ($row = $roster->db->fetch($result))
{
	echo ('<tr>'."\n");
	
	echo ('<td style="text-align:right;" class="membersRow'.$rownum.'">'."\n");
	echo (strftime($addon['config']['WoWGem_EventDateFormat'],strtotime($row['date']))."\n");
	echo ('</td>'."\n");
	echo ('<td style="text-align:left;" class="membersRow'.$rownum.'">'."\n");
	echo ($row['name']."\n");
	echo ('</td>'."\n");
	echo ('<td style="text-align:center;" class="membersRowRight'.$rownum.'">'."\n");
	echo ($row['number']."\n");
	echo ('</td>'."\n");
	
	echo ('</tr>'."\n");

	// Close the Row

	switch ($rownum)
	{
		case 1:
			$rownum=2;
			break;
		default:
			$rownum=1;
	}
}

// Close the table
echo '</table>';

// Display the Right side / Bottom of the Stylish Border
echo border('syellow','end');
?>