<?php
/**
 * WoWRoster.net WoWRoster
 *
 * EventCalendar Main index
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: index.php 346 2008-01-13 07:01:07Z tuigii - Nowwhat@EU-Khaz Modan$ 
 * @link       http://www.wowroster.net
 * @package    EventCalendar
*/
if ( !defined('IN_ROSTER') )
{
	exit('Detected invalid access to this file!');
}

global $roster;

setlocale(LC_TIME, "fr_FR"); 

if( isset($_REQUEST['event']) )
	$event = $_REQUEST['event'];
else
	$event = '';

if( isset($_REQUEST['log']) )
	$log = $_REQUEST['log'];
else
	$log = '';


// Check if tables already excists
if( ! $roster->db->query("SELECT * FROM ".$roster->db->table('events', $addon['basename']) ))
{
	echo $roster->locale->act['EventCalendar_NoTablesFound'];
}
else
{
	if($event != '')
	{
		include("event_info.php");
		echo '<br/>';
		include("event_attendance.php");	
	}
	else
	{
		require 'event_list.php';
		echo '<br/>';
		echo '<a href="'.makelink('guild-'.$addon['basename'],true).'&log=1">Logs</a>';
		
	}
	if($log !='')
	{
		echo '<br/>';
		include("event_log.php");	
	}
}
?>