<?php

$lang['EventCalendar_title'] = 'Event Calendar';
$lang['EventCalendar_install_desc'] = 'Event Calender, shows events from GuildEvent2';
$lang['EventCalendar_ButtonLabel'] = 'Event Calender|shows events from GuildEvent2';

$lang['EventCalendar_NoUpload'] = 'The update has been blocked by the roster admin';
$lang['EventCalendar_ClearDB'] = 'The tables have been flushed';
$lang['EventCalendar_NoTablesFound'] = 'No events are present right now.';
$lang['EventCalendar_AcceptOneChannel'] = 'Accepted events(s) from 1 channel';
$lang['EventCalendar_AcceptMoreChannel'] = 'Accepted events(s) from %d channels %s'; 
$lang['EventCalendar_AcceptRejected'] = 'Update refused because %s';
$lang['EventCalendar_Reason1'] = 'not all needed GEM channels are present in your upload. You have to subscribe to these channels: %s';
$lang['EventCalendar_Reason2'] = 'you haven\'t got the right channel(s) in your upload. You nhave to have at least one of these channel(s): %s';
$lang['EventCalendar_Reason3'] = 'you don\'t have character with the Title/LvL Niveau (yours has Guild rank %s) for being able to update. It has to have a rank of %s at least. The GM has rank %s.';
$lang['EventCalendar_Reason4'] = 'you don\'t have any characters that are member of this Guild.';

$lang['admin']['EventCalendar_config'] = 'Event Calendar|shows events from GuildEvent2';
$lang['admin']['EventCalendar_UpdateTrigger'] = 'Accepts updates|Accepts or blocks future updates for everyone';
$lang['admin']['EventCalendar_GEMChannelNames'] = 'GEM Channels|This (these) channel(s) have to be present in you upload, listed by commas only, like channel1,channel2.';
$lang['admin']['EventCalendar_MatchAllChannels'] = 'All, or a subet|At least ONE (No) or ALL (Yes) channels have to be present before your update is granted';
$lang['admin']['EventCalendar_PlayerLevelToUpdate'] = 'Upload permission|0 is the GM, 1 are the officiers... 9 means every Guild member';
$lang['admin']['EventCalendar_ShowIcon'] = 'Shows the icons|Shows the icons';
$lang['admin']['EventCalendar_Icon_size'] = 'Icon size|The size of the icons used.';
$lang['admin']['EventCalendar_EventDateFormat'] = 'Date format|Date format as defined for PHP strtotime function "%A %d/%m %H:%M" gives donne Fri 08/23 20:15';
$lang['admin']['EventCalendar_EventResetDate'] = 'Date reset Event|An offset for the reset date for Raid instances';
$lang['admin']['EventCalendar_EventResetOffset'] = 'Number of days to show|How mant days have to be listed ?';
$lang['admin']['EventCalendar_LogEventsUpload'] = 'Logging|Enables a log that show who updated Event manager';

// Eventlist localization
$lang['UpcomingRaids'] = 'Upcoming Raids';
$lang['UpcomingMeetings'] = 'Upcoming Meetings';
$lang['Zone'] = 'Zone';
$lang['Date'] = 'Date';
$lang['Leader'] = 'Leader';
$lang['Attendees'] = 'Attendees';
$lang['Level'] = 'Level';
$lang['Note'] = 'Note';
$lang['Reset'] = 'Reset';

$lang['Birth'] = 'Birthday';
$lang['Meet'] = 'Meeting';

// Eventview localization
$lang['EventInfo'] = 'Event Info';
$lang['Attendance'] = 'Attendance Info';
$lang['Back'] = 'Back';

// Attendance localization
$lang['Name'] = 'Name';
$lang['Guild'] = 'Guild';
$lang['Class'] = 'Class';
$lang['Titulars'] = 'Participants';
$lang['Substitutes'] = 'Substitutes';
$lang['Replacements'] = 'Replacements';
$lang['Limits'] = 'Limits';
$lang['LimitStatus'] = 'min/is/max';
$lang['Back'] = 'Back';
$lang['NoTitulars'] = 'No Participants';
$lang['NoLimits'] = 'No Limits';

// Zone localization

$lang['IZonesReset'] = "Reset";

$lang['IZones'] = array (
 "Zul\'Gurub" => array ("file" => "zg", "name" => "Zul\'Gurub","time" => "4h du matin",),
 
 "Zul\'Aman" => array ("file" => "za", "name" => "Zul\'Aman","time" => "8h du matin",),
 "Karazhan" => array ("file" => "karazhan", "name" => "Karazhan","time" => "chaque 7 jours",),
);

// Zone localization
$lang['Zones'] = array(
	'BRS' => "Blackrock Spire",
	'BWL' => "Blackwing Lair",
	'Deadmines'	=> "The Deadmines",
	'DM'=> "Dire Maul",
	'Gnomer'=> "Gnomeregan",
	'LBRS'=> "Lower Blackrock Spire",
	'Mara'=> "Maraudon",
	'MC'=> "Molten Core",
	'Meet'=> "A Meeting",
	'Onyxia'=> "Onyxia's Lair",
	'ONX'=> "Onyxia's Lair",
	'RFC'=> "Ragefire Chasm",
	'RFD'=> "Razorfen Downs",
	'RFK'=> "Razorfen Kraul",
	'Scholo'=> "Scholomance",
	'SFK'=> "Shadowfang Keep",
	'SM'=> "The Scarlet Monastery",
	'ST'=> "Temple of Atal'hakkar (Sunken Temple)",
	'Stockades'	=> "The Stockade",
	'Strath'=> "Stratholme",
	'UBRS'=> "Upper Blackrock Spire",
	'Uld'=> "Uldaman",
	'WC'=> "Wailing Caverns",
	'WSG'=> "Warsong Gulch",
	'ZF'=> "Zul'Furrak",
	'ZG'=> "Zul'Gurub",
	'AB'=> "Arathi Basin",
	'AQR'=> "Ruins of Ahn'Qiraj",
	'AQT'=> "Temple of Ahn'Qiraj",
	'AV'=> "Alterac Valley",
	'BFD'=> "Blackfathom Deeps",
	'Birth'=> "Birthday",
	'BRD'=> "Blackrock Depths",
	'OTHER'=> "Other",
     
		'1' => "Naxxramas", 
		'2' => "Les Remparts",
		'3' => "La Fournaise de sang",
		'4' => "Les Salles brisee", 
		'5' => "Enclos aux esclaves",
		'6' => "Basse tourbiere",
		'7' => "Caveau de la vapeur",
		'8' => "Tombes Mana",
		'9' => "Cryptes des Auchenai",
		'10' => "Les Salles de Setthek",
		'11' => "Labyrinthe des Ombres",
		'12' => "Le Mechanar",
		'13' => "La Botanica",
		'14' => "Arcatraz",
		'15' => "Les contreforts d'Hautebrande d'Antan",
		'16' => "Le Noir Marecage",
		'17' => "Karazhan",
		'18' => "Le repaire de Magtheridon",
		'19' => "Le sanctuaire du serpent",
		'20' => "Le Repaire de Gruul",
		'21' => "Le Temple Noir",
		'22' => "L'oeil",
		'23' => "Bataille du Mont Hyjal", 
		'24' => "BG Alterac",
		'25' => "BG Arathi",
		'26' => "BG Warsong",
		'27' => "Arena 2vs2",
		'28' => "Arena 3vs3",
		'29' => "Arena 5vs5"
		);
?>